#353 UTF Encoding Problem

v2.0.7
closed-works-for-me
5
2006-04-04
2006-02-01
P.Simonis
No

2006-02-01T14:50:01 INFO(0) MailManager: process:
Message from "Internet-Indirect" <internet-
indirect@forthnet.gr>
------
2006-02-01T14:50:01 INFO(0) MailManager: process: Auto
reply should not be sent (prevented by account
settings)
------
2006-02-01T14:50:01 ERROR(200) ZopeScheduler Process
task error
Traceback (most recent call last):
File "C:\Program
Files\MailManager\Instance\Products\ZopeScheduler\ZopeS
cheduler.py", line 236, in process_timer
ob.process_task()
File "C:\Program
Files\MailManager\Instance\Products\MailManager\MailMan
ager.py", line 744, in process_task
return self.getMail()
File "C:\Program
Files\MailManager\Instance\Products\MailManager\MailMan
ager.py", line 749, in getMail
rets = [self.account(email=accountname)[0].getMail
()
File "C:\Program
Files\MailManager\Instance\Products\MailManager\Extensi
ons\AccountPluggableBrain.py", line 447, in getMail
ret = self._getPOP3()
File "C:\Program
Files\MailManager\Instance\Products\MailManager\Extensi
ons\AccountPluggableBrain.py", line 476, in _getPOP3
rets.append(self.process('\n'.join(lines)))
File "C:\Program
Files\MailManager\Instance\Products\MailManager\Extensi
ons\AccountPluggableBrain.py", line 160, in process
self.process_addMsgToTicket(msg, ticket_id)
File "C:\Program
Files\MailManager\Instance\Products\MailManager\Extensi
ons\AccountPluggableBrain.py", line 178, in
process_addMsgToTicket
self.addMessageToTicket(ticket_id, msg)
File "C:\Program
Files\MailManager\Instance\Products\MailManager\MailMan
ager.py", line 901, in addMessageToTicket
html_body=html_body)
File "C:\Program
Files\MailManager\Zope\lib\python\Shared\DC\ZRDB\DA.py"
, line 454, in __call__
else: result=DB__.query(query, self.max_rows_)
File "C:\Program
Files\MailManager\Instance\Products\ZPsycopgDA\db.py",
line 228, in query
raise err
ProgrammingError: ERROR: invalid UTF-8 byte sequence
detected near byte 0xed

Postgres Version is 8.0.1 :)

Discussion

  • Graeme Mathieson

    Logged In: YES
    user_id=12789

    Hi,

    I don't suppose you could send me (privately, if need be, to
    mathie@logicalware.com) the message that caused this error? I suspect that
    the problem is in the capture of the raw header lines into the database, but
    I'd like to prove myself right before committing anything. :-)

    Regards,

    Graeme

     
  • Graeme Mathieson

    • assigned_to: nobody --> mathie
     
  • P.Simonis

    P.Simonis - 2006-02-13

    Logged In: YES
    user_id=1156626

    Unfortunatelly i've deleted the relevant mail
    I ll check again if the same problem occurs.
    How can i find the specific email that causes the problem ?
    Takis

     
  • Kevin Campbell

    Kevin Campbell - 2006-03-01
    • milestone: 561722 --> v2.0.7
     
  • Kevin Campbell

    Kevin Campbell - 2006-04-04
    • assigned_to: mathie --> kevca
    • status: open --> closed-works-for-me
     
  • Kevin Campbell

    Kevin Campbell - 2006-04-04

    Logged In: YES
    user_id=1241761

    Can't reproduce this now. May be that the other fixes
    applied to 2.0.7 clear the problem, or due to configuration
    of postgres. Will clear if it reappears.

     

Log in to post a comment.